POST /connect/discord

Bind channels of a server where the bot was installed (a pending install from the last 30 minutes, or an existing Discord account in that server), one account per text, announcement or forum channel. channelIds connects several at once and answers accounts and failed (422 no_channels_connected when none could be)

POST
/connect/discord

Authorization

BearerAuth
headerAuthorizationBearer <token>

API key sk_...

Request Body

application/json
  1. body
guildId*string
channelId?string
channelIds?array<string>
Itemsitems <= 50
profileId?string
redirect_url?string

channelIds: returned with connected, profileId, accountId and accountIds appended

Response Body

{message, account} or {message, accounts, failed, redirect_url?}

application/json
  1. response
message?string
account?
accounts?array<>
failed?array<>
redirect_url?string
Example Request
curl -X POST 'https://example.com/api/v1/connect/discord' \  -H 'Content-Type: application/json' \  -d '{  "guildId": "string"}'
Example Response
{  "message": "string",  "account": {    "accountId": "string",    "id": "string",    "platform": "string",    "displayName": "string",    "accountName": "string",    "platformAccountId": "string",    "channelId": "string",    "guildId": "string",    "isActive": true,    "externalId": "string"  },  "accounts": [    {      "accountId": "string",      "id": "string",      "platform": "string",      "displayName": "string",      "accountName": "string",      "platformAccountId": "string",      "channelId": "string",      "guildId": "string",      "isActive": true,      "externalId": "string"    }  ],  "failed": [    {      "channelId": "string",      "reason": "string"    }  ],  "redirect_url": "string"}